Debian Bug report logs - #496169
gnome: Window manager using 1280x800 despite screen being 1680x1050.

version graph

Package: xserver-xorg-video-intel; Maintainer for xserver-xorg-video-intel is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-intel is src:xserver-xorg-video-intel.

Reported by: Charles Plessy <plessy@debian.org>

Date: Sat, 23 Aug 2008 06:03:01 UTC

Severity: normal

Tags: fixed-upstream

Fixed in version 2:2.5.99.2-1

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=17395

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#496169; Package gnome. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sat, 23 Aug 2008 14:59:46 +0900
Package: gnome
Version: 1:2.22.2~4
Severity: normal

Dear GNOME maintainers,

On a Lenny system, GDM and GNOME use only 1280x800 pixels despite the physical
resolution of the screen being 1680x1050. As a result there are strange
artefacts with fullscreen, the lower taskbar is not at the bottom of the
screen, and both up and down task bars do not reach the right side. The
background image, however is correctly set to 1680x1050, and it is possible to
move windows in areas ignored by GNOME. The utility for changing screen
resolution does not display anyghing higher than 1280x800. The login screen to
enter password after the session has been locked for inactivity is invisible.
These problems do not appear with KDE. There is probably a communication defect
between GNOME and X ?

In case it helps, here is the output of xrandr:

Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1680 x 1680
VGA connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800       60.0* 
   1280x768       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
LVDS connected 1680x1050+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1680x1050      59.9*+   60.0  
   1600x1024      60.0  
   1400x1050      85.3     74.8     70.0     60.0  
   1280x1024      85.0     75.0     60.0  
   1440x900       60.2  
   1280x960       85.0     60.0  
   1280x800       60.0  
   1152x864       85.1     75.0  
   1280x768       60.0  
   1152x768       54.8  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  
TV disconnected (normal left inverted right x axis y axis)

Have a nice day,

-- Charles Plessy, Tsurumi, Kanagawa, Japan

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome depends on:
ii  arj                        3.10.22-6     archiver for .arj files
ii  avahi-daemon               0.6.22-3      Avahi mDNS/DNS-SD daemon
ii  bluez-gnome                0.27-1        Bluetooth utilities for GNOME
ii  epiphany-extensions        2.22.2-1      Extensions for Epiphany web browse
ii  evolution-exchange         2.22.3.dfsg-1 Exchange plugin for the Evolution 
ii  evolution-plugins          2.22.3.1-1    standard plugins for Evolution
ii  evolution-webcal           2.21.92-1     webcal: URL handler for GNOME and 
ii  gdm-themes                 0.6           Themes for the GNOME Display Manag
ii  gnome-app-install          0.5.5.1-1     GNOME Application Installer
ii  gnome-desktop-environment  1:2.22.2~4    The GNOME Desktop Environment
ii  gnome-games                1:2.22.3-1    games for the GNOME desktop
ii  gnome-spell                1.0.7-1       GNOME/Bonobo component for spell c
ii  gnome-themes-extras        0.9.0.deb0.4  various themes for the GNOME 2 des
ii  gnome-vfs-obexftp          0.4-1         GNOME VFS module for OBEX FTP
ii  gstreamer0.10-ffmpeg       0.10.4-3      FFmpeg plugin for GStreamer
ii  gstreamer0.10-plugins-ugly 0.10.8-1      GStreamer plugins from the "ugly" 
ii  libpam-gnome-keyring       2.22.3-1      PAM module to unlock the GNOME key
ii  p7zip                      4.58~dfsg.1-1 7zr file archiver with high compre
ii  rhythmbox                  0.11.6-1      music player and organizer for GNO
ii  serpentine                 0.9-5         An application for creating audio 
ii  swfdec-mozilla             0.6.0-2       Mozilla plugin for SWF files (Macr
ii  synaptic                   0.62.1        Graphical package manager
ii  system-config-printer      1.0.0-2       graphical interface to configure t
ii  totem-mozilla              2.22.2-3      Totem Mozilla plugin
ii  transmission-gtk           1.22-1        free, lightweight BitTorrent clien

Versions of packages gnome recommends:
pn  gdebi                    <none>          (no description available)
pn  gnome-games-extra-data   <none>          (no description available)
pn  gnome-office             <none>          (no description available)
ii  gparted                  0.3.8-1         GNOME partition editor
ii  gthumb                   3:2.10.8-1      an image viewer and browser
ii  hal-cups-utils           0.6.16-2        Utilities to detect and configure 
ii  hardinfo                 0.4.2.3-4       Displays system information
ii  liferea                  1.4.16b-0.1     feed aggregator for GNOME
ii  menu-xdg                 0.3             freedesktop.org menu compliant win
ii  network-manager-gnome    0.6.6-2         network management framework (GNOM
ii  pidgin                   2.4.3-1         graphical multi-protocol instant m
pn  tomboy                   <none>          (no description available)
ii  tsclient                 0.150-1         front-end for viewing of remote de
ii  update-notifier          0.70.7.debian-3 Daemon which notifies about packag

Versions of packages gnome suggests:
pn  gnome-dbg                     <none>     (no description available)
ii  openoffice.org-evolution      1:2.4.1-6  Evolution Addressbook support for 
ii  openoffice.org-gnome          1:2.4.1-6  GNOME Integration for OpenOffice.o

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#496169; Package gnome. Full text and rfc822 format available.

Acknowledgement sent to 496169@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 496169@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sat, 30 Aug 2008 03:35:13 +0200
[Message part 1 (text/plain, inline)]
Le samedi 23 août 2008 à 14:59 +0900, Charles Plessy a écrit :
> On a Lenny system, GDM and GNOME use only 1280x800 pixels despite the physical
> resolution of the screen being 1680x1050. As a result there are strange
> artefacts with fullscreen, the lower taskbar is not at the bottom of the
> screen, and both up and down task bars do not reach the right side. The
> background image, however is correctly set to 1680x1050, and it is possible to
> move windows in areas ignored by GNOME. The utility for changing screen
> resolution does not display anyghing higher than 1280x800. The login screen to
> enter password after the session has been locked for inactivity is invisible.
> These problems do not appear with KDE. There is probably a communication defect
> between GNOME and X ?

This is only the panel using a place where it can be seen on all
screens. The same goes for applications that you maximize; the system
has no way to know whether you can actually see them if they are out of
the smallest of all connected screens.

> In case it helps, here is the output of xrandr:
> 
> Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1680 x 1680
> VGA connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
>    1280x800       60.0* 

> LVDS connected 1680x1050+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
>    1680x1050      59.9*+   60.0  

This is completely expected (well, in the limits of what xrandr’s
weirdness allows). The lowest physical resolution is 1280x800. 

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#496169; Package gnome. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sat, 30 Aug 2008 21:58:13 +0900
Le Sat, Aug 30, 2008 at 03:35:13AM +0200, Josselin Mouette a écrit :
> 
> This is only the panel using a place where it can be seen on all
> screens. The same goes for applications that you maximize; the system
> has no way to know whether you can actually see them if they are out of
> the smallest of all connected screens.
> 
> > In case it helps, here is the output of xrandr:
> > 
> > Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1680 x 1680
> > VGA connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
> >    1280x800       60.0* 
> 
> > LVDS connected 1680x1050+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
> >    1680x1050      59.9*+   60.0  
> 
> This is completely expected (well, in the limits of what xrandr’s
> weirdness allows). The lowest physical resolution is 1280x800. 

Bonjour Josselin

Thanks for the answer. I actually have only one screen. So if I
understand correctly, the problem is that X or GNOME thinks that I have
a second display plugged in? If it is not GNOME, I suppose that we have
to reassign the bug to xserver-xorg?

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#496169; Package gnome. Full text and rfc822 format available.

Acknowledgement sent to 496169@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 496169@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sat, 30 Aug 2008 19:04:26 +0200
[Message part 1 (text/plain, inline)]
Le samedi 30 août 2008 à 21:58 +0900, Charles Plessy a écrit :
> > This is completely expected (well, in the limits of what xrandr’s
> > weirdness allows). The lowest physical resolution is 1280x800. 
> 
> Thanks for the answer. I actually have only one screen. So if I
> understand correctly, the problem is that X or GNOME thinks that I have
> a second display plugged in? If it is not GNOME, I suppose that we have
> to reassign the bug to xserver-xorg?

Ah, indeed xrandr believes you have two screens plugged, so there’s
probably something wrong with your driver; we should reassign the bug to
xserver-xorg-video-$driver.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#496169; Package gnome. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 496169@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sun, 31 Aug 2008 09:02:45 +0900
reassign 496169 xserver-xorg-video-intel
thanks

Dear X strike force,

Here is a bug that I first reported on GNOME:

I have a Sony VGC-LT71DB - a kind of iMac clone that looks like the offspring
of a television and an aquarium - and xrandr thinks that I have two screens
plugged. As a result, window managers such as GNOME and XFCE use a mixture of
two screen sizes, which results in having some service bars annoyingly far from
the edges of the physical screen.

Here are my ouptuts of xrandr and lspci:

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8055 PCI-E Gigabit Ethernet Controller (rev 12)
06:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
08:03.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
08:03.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
08:03.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
08:05.0 Multimedia controller: Fujitsu Limited. Device 202a
08:06.0 Non-VGA unclassified device: ViXS Systems, Inc. Device 2100

Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1680 x 1680
VGA connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800       60.0* 
   1280x768       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
LVDS connected 1680x1050+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1680x1050      59.9*+   60.0  
   1600x1024      60.0  
   1400x1050      85.3     74.8     70.0     60.0  
   1280x1024      85.0     75.0     60.0  
   1440x900       60.2  
   1280x960       85.0     60.0  
   1280x800       60.0  
   1152x864       85.1     75.0  
   1280x768       60.0  
   1152x768       54.8  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  
TV disconnected (normal left inverted right x axis y axis)

I attached to this mail the output of the script
/usr/share/bug/xserver-xorg-video-intel/script.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Bug reassigned from package `gnome' to `xserver-xorg-video-intel'. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sun, 31 Aug 2008 00:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 496169@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sun, 31 Aug 2008 09:01:51 +0200
On Sun, Aug 31, 2008 at 09:02:45AM +0900, Charles Plessy wrote:
> 
> I have a Sony VGC-LT71DB - a kind of iMac clone that looks like the offspring
> of a television and an aquarium - and xrandr thinks that I have two screens
> plugged. As a result, window managers such as GNOME and XFCE use a mixture of
> two screen sizes, which results in having some service bars annoyingly far from
> the edges of the physical screen.

Do you know when the problem first appeared? Did you run earlier xserver-xorg-core
and -video-intel from testing?

> Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1680 x 1680
> VGA connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
>    1280x800       60.0* 
>    1280x768       60.0  
>    1024x768       60.0  
>    800x600        60.3  
>    640x480        59.9  
> LVDS connected 1680x1050+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
>    1680x1050      59.9*+   60.0  
>    1600x1024      60.0  
>    1400x1050      85.3     74.8     70.0     60.0  
>    1280x1024      85.0     75.0     60.0  
>    1440x900       60.2  
>    1280x960       85.0     60.0  
>    1280x800       60.0  
>    1152x864       85.1     75.0  
>    1280x768       60.0  
>    1152x768       54.8  
>    1024x768       85.0     75.0     70.1     60.0  
>    832x624        74.6  
>    800x600        85.1     72.2     75.0     60.3     56.2  
>    640x480        85.0     72.8     75.0     59.9  
>    720x400        85.0  
>    640x400        85.1  
>    640x350        85.1  
> TV disconnected (normal left inverted right x axis y axis)

If VGA is wrongly detected adding the following may help:

Section "Monitor"
  Identifier "VGA"
  Option "Ignore" "true"
EndSection

> I attached to this mail the output of the script
> /usr/share/bug/xserver-xorg-video-intel/script.

Good idea, we really need it. But I don't see it attached here :)

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sun, 31 Aug 2008 19:01:40 +0900
Le Sun, Aug 31, 2008 at 09:01:51AM +0200, Brice Goglin a écrit :
> If VGA is wrongly detected adding the following may help:
> 
> Section "Monitor"
>   Identifier "VGA"
>   Option "Ignore" "true"
> EndSection

Bonjour Brice,

Thanks for the fast answer. The "Ignore" option worked well and GNOME is
consistently using the real physical screen size.

I installed Lenny on this machine the 10th of August and the bug was
there from the very beginning. I update the machine frequently.
According to the PTS and my memories, it is probable that I used
2:2.3.2-2+lenny1 in the first days.

This machine not intended to run unstable, but I have an extra partition
for tests. Let me know if you want me to try the latest version of the
drive from unstable or experimental. If it is too late to fix the bug
for Lenny, I can submit a patch to the erratas.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 496169@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sun, 31 Aug 2008 17:08:31 +0200
Charles Plessy wrote:
> Thanks for the fast answer. The "Ignore" option worked well and GNOME is
> consistently using the real physical screen size.
>
> I installed Lenny on this machine the 10th of August and the bug was
> there from the very beginning. I update the machine frequently.
> According to the PTS and my memories, it is probable that I used
> 2:2.3.2-2+lenny1 in the first days.
>   

Ok the driver is missdetecting the VGA output state. What kind of
outputs do you have? Is there actually a VGA output on this machine?
Maybe the driver needs a quirk for this machine.

Please send the output of /usr/share/bug/xserver-xorg/script 3>&1 anyway.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Mon, 1 Sep 2008 22:58:58 +0900
[Message part 1 (text/plain, inline)]
Le Sun, Aug 31, 2008 at 05:08:31PM +0200, Brice Goglin a écrit :
> 
> Ok the driver is missdetecting the VGA output state. What kind of
> outputs do you have? Is there actually a VGA output on this machine?
> Maybe the driver needs a quirk for this machine.
> 
> Please send the output of /usr/share/bug/xserver-xorg/script 3>&1 anyway.

I was so excited that the fix worked that I forgot again.

I have not seen anything that looks like a VGA output on this machine.
It is a sort of iMac clone, so it would not be surprising if there were
none.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[bug-xserver-xorg-video-intel-script.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 496169@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Charles Plessy <plessy@debian.org>
Cc: 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Mon, 01 Sep 2008 16:21:26 +0200
Charles Plessy wrote:
> Le Sun, Aug 31, 2008 at 05:08:31PM +0200, Brice Goglin a écrit :
>   
>> Ok the driver is missdetecting the VGA output state. What kind of
>> outputs do you have? Is there actually a VGA output on this machine?
>> Maybe the driver needs a quirk for this machine.
>>
>> Please send the output of /usr/share/bug/xserver-xorg/script 3>&1 anyway.
>>     
>
> I was so excited that the fix worked that I forgot again.
>
> I have not seen anything that looks like a VGA output on this machine.
> It is a sort of iMac clone, so it would not be surprising if there were
> none.
>   

Could you send Xorg.0.log after commenting out the VGA-ignoring stuff in
xorg.conf?

thanks,
Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Mon, 1 Sep 2008 23:58:44 +0900
[Message part 1 (text/plain, inline)]
Le Mon, Sep 01, 2008 at 04:21:26PM +0200, Brice Goglin a écrit :
> Could you send Xorg.0.log after commenting out the VGA-ignoring stuff in
> xorg.conf?

Here it is.

-- 
Charles
[bug-xserver-xorg-video-intel-script.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 496169@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Mon, 01 Sep 2008 19:15:58 +0200
cforwarded 496169 https://bugs.freedesktop.org/show_bug.cgi?id=17395
thank you


Charles Plessy wrote:
> Le Mon, Sep 01, 2008 at 04:21:26PM +0200, Brice Goglin a écrit :
>   
>> Could you send Xorg.0.log after commenting out the VGA-ignoring stuff in
>> xorg.conf?
>>     
>
> Here it is.
>   


Thanks, I have forwarded all this info in the upstream bugzilla at the
URL above.

Brice





Noted your statement that Bug has been forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=17395. Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Mon, 01 Sep 2008 17:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 496169@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Tue, 9 Sep 2008 07:05:58 +0200
On Mon, Sep 01, 2008 at 07:15:58PM +0200, Brice Goglin wrote:
> cforwarded 496169 https://bugs.freedesktop.org/show_bug.cgi?id=17395
> thank you
> 
> 
> Charles Plessy wrote:
> > Le Mon, Sep 01, 2008 at 04:21:26PM +0200, Brice Goglin a écrit :
> >   
> >> Could you send Xorg.0.log after commenting out the VGA-ignoring stuff in
> >> xorg.conf?
> >>     
> >
> > Here it is.
> >   
> 
> 
> Thanks, I have forwarded all this info in the upstream bugzilla at the
> URL above.

Charles,

Could you send Xorg.0.log after commenting out the VGA-ignoring stuff in
xorg.conf and adding Option "ModeDebug" "yes" in the Device section?
Either post the log here or directly on http://bugs.freedesktop.org/show_bug.cgi?id=17395

thanks
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Mon, 15 Sep 2008 11:51:09 +0900
Le Tue, Sep 09, 2008 at 07:05:58AM +0200, Brice Goglin a écrit :
> 
> Could you send Xorg.0.log after commenting out the VGA-ignoring stuff in
> xorg.conf and adding Option "ModeDebug" "yes" in the Device section?
> Either post the log here or directly on http://bugs.freedesktop.org/show_bug.cgi?id=17395

For the record, I just sent it to the bugzilla. (sorry for the delay)

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Thu, 25 Sep 2008 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 25 Sep 2008 07:24:03 GMT) Full text and rfc822 format available.

Message #79 received at 496169@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Thu, 25 Sep 2008 09:24:28 +0200
On Mon, Sep 15, 2008 at 11:51:09AM +0900, Charles Plessy wrote:
> Le Tue, Sep 09, 2008 at 07:05:58AM +0200, Brice Goglin a écrit :
> > 
> > Could you send Xorg.0.log after commenting out the VGA-ignoring stuff in
> > xorg.conf and adding Option "ModeDebug" "yes" in the Device section?
> > Either post the log here or directly on http://bugs.freedesktop.org/show_bug.cgi?id=17395
> 
> For the record, I just sent it to the bugzilla. (sorry for the delay)

The upstream would like you to try a newer driver. Could you either 
upgrade to experimental or rebuild 2.4.x or git master for unstable?

thanks,
Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Sat, 27 Sep 2008 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 27 Sep 2008 08:45:03 GMT) Full text and rfc822 format available.

Message #84 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 496169@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sat, 27 Sep 2008 17:43:12 +0900
[Message part 1 (text/plain, inline)]
Le Thu, Sep 25, 2008 at 09:24:28AM +0200, Brice Goglin a écrit :
> > > xorg.conf and adding Option "ModeDebug" "yes" in the Device section?
> > > Either post the log here or directly on http://bugs.freedesktop.org/show_bug.cgi?id=17395
> > 
> > For the record, I just sent it to the bugzilla. (sorry for the delay)
> 
> The upstream would like you to try a newer driver. Could you either 
> upgrade to experimental or rebuild 2.4.x or git master for unstable?

Hi,

I did not realise that I was not automatically subscribed when I posted
on the bug...

I made a fresh install on a separate partition (good opportunity to test
the Debian Installer), added sid and experimental to sources.list, and
then ran a few rounds of:

aptitude install -t experimental xserver-xorg-video-intel

and 

aptitude install -t experimental xserver-xorg-video-intel xserver-xorg-core

After finally having these packages installed, I restarted X and
experienced the following:

 - GDM was using all the screen, but apparently at a low resolution.
 - Mouse and keyboard input were not working.

I attached the logs to this email.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[Xorg.0.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Wed, 26 Nov 2008 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 26 Nov 2008 12:42:04 GMT) Full text and rfc822 format available.

Message #89 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 496169@bugs.debian.org
Subject: [Bug 17395] [965GM] detects unexisting VGA output as connected
Date: Wed, 26 Nov 2008 21:38:33 +0900
Hi,

just let me know when there is something to be tested in experimental (see
below). In the meantime, I proposed a patch to the release notes to document
the issue.  (http://bugs.debian.org/505884).

Have a nice day,

-- Charles

----- Forwarded (and edited) message -----

Date: Wed, 26 Nov 2008 01:32:32 -0800 (PST)
Subject: [Bug 17395] [965GM] detects unexisting VGA output as connected

http://bugs.freedesktop.org/show_bug.cgi?id=17395

--- Comment #7 from Michael Fu 2008-11-26 01:32:29 PST ---
965GM should now be able to detect CRT via hotplug now. Your CRT won't be shown
as connected anymore. Would you please do a test again?

----- End forwarded message -----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Wed, 26 Nov 2008 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 26 Nov 2008 14:51:06 GMT) Full text and rfc822 format available.

Message #94 received at 496169@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org
Subject: Re: Bug#496169: [Bug 17395] [965GM] detects unexisting VGA output as connected
Date: Wed, 26 Nov 2008 15:50:06 +0100
On Wed, Nov 26, 2008 at 21:38:33 +0900, Charles Plessy wrote:

> Hi,
> 
> just let me know when there is something to be tested in experimental (see
> below). In the meantime, I proposed a patch to the release notes to document
> the issue.  (http://bugs.debian.org/505884).
> 
I don't think this bug is release-note-worthy, but anyway.
xserver-xorg-video-intel 2.5.1 is in experimental, if you care to try
it.

Thanks,
Julien




Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 16 Jan 2009 21:28:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Sat, 21 Feb 2009 12:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Filter <Jan.Filter@web.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 21 Feb 2009 12:15:05 GMT) Full text and rfc822 format available.

Message #101 received at 496169@bugs.debian.org (full text, mbox):

From: Jan Filter <Jan.Filter@web.de>
To: 496169@bugs.debian.org
Subject: Similar problem with nvidia Drivers?
Date: Sat, 21 Feb 2009 13:13:10 +0100
Dear Maintainers!

Is it possible that the same Bug exists with the (proprietary) Nvidia
Drivers?

I have an old configuration, with soft-scroll in the graphics-buffers
working for years.

In this case I configured a virtual screen of 2880 x 2016 on a Laptop
Display with 1440x900. Due to the Soft-Scroll I could use a nice big
Desktop in Sarge.

After my Upgrade to Lenny both gnome and KDE use only the space occupied
by the original resolution of 1440x900.
Scrolling however is possible for 2880x2016 and windows can be moved in
1440x2016. Strange.

Do you know a tweak for this?

Kind Regards
Jan Filter

PS: Is it possible to hide my eMail-Address in the Bugtracker?




Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. (Sat, 21 Feb 2009 14:42:12 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Sat, 21 Feb 2009 14:42:12 GMT) Full text and rfc822 format available.

Message #106 received at 496169-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Charles Plessy <plessy@debian.org>, 496169-done@bugs.debian.org
Subject: Re: Bug#496169: gnome: Window manager using 1280x800 despite screen being 1680x1050.
Date: Sat, 21 Feb 2009 15:39:41 +0100
Version: 2:2.5.99.2-1

On Sat, Aug 23, 2008 at 02:59:46PM +0900, Charles Plessy wrote:
> On a Lenny system, GDM and GNOME use only 1280x800 pixels despite the physical
> resolution of the screen being 1680x1050. As a result there are strange
> artefacts with fullscreen, the lower taskbar is not at the bottom of the
> screen, and both up and down task bars do not reach the right side. The
> background image, however is correctly set to 1680x1050, and it is possible to
> move windows in areas ignored by GNOME. The utility for changing screen
> resolution does not display anyghing higher than 1280x800. The login screen to
> enter password after the session has been locked for inactivity is invisible.
> These problems do not appear with KDE. There is probably a communication defect
> between GNOME and X ?

The patch from the upstream bug report is in intel driver 2.6.

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Sat, 21 Feb 2009 17:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Filter <Jan.Filter@web.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 21 Feb 2009 17:39:02 GMT) Full text and rfc822 format available.

Message #111 received at 496169@bugs.debian.org (full text, mbox):

From: Jan Filter <Jan.Filter@web.de>
To: 496169@bugs.debian.org
Subject: Re: Similar problem with nvidia Drivers? / partly solution
Date: Sat, 21 Feb 2009 18:36:20 +0100
Hi!

After a lot of googling  I found some hints for Ubuntu regarding the
secondary displays. It seems newer Versions of xorg need two displays
when using virtual resolutions bigger than physical resolution.

Any attempts configuring this manually failed, but displayconfig can fix
this. (Better do a backup of the xorg.conf before, it gets rather ugly
and has to be tidied up again)

It's no real solution but a work-around. For example, something is still
wrong with resolution and huge cursors are chosen automatically. This
can be fixed with:

update-alternatives --config  x-cursor-theme

Regards
Jan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Sat, 21 Feb 2009 18:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 21 Feb 2009 18:12:02 GMT) Full text and rfc822 format available.

Message #116 received at 496169@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Jan Filter <Jan.Filter@web.de>, 496169@bugs.debian.org
Subject: Re: Bug#496169: Similar problem with nvidia Drivers? / partly solution
Date: Sat, 21 Feb 2009 19:08:10 +0100
Jan Filter wrote:
> Hi!
>
> After a lot of googling  I found some hints for Ubuntu regarding the
> secondary displays. It seems newer Versions of xorg need two displays
> when using virtual resolutions bigger than physical resolution.
>
> Any attempts configuring this manually failed, but displayconfig can fix
> this. (Better do a backup of the xorg.conf before, it gets rather ugly
> and has to be tidied up again)
>
> It's no real solution but a work-around. For example, something is still
> wrong with resolution and huge cursors are chosen automatically. This
> can be fixed with:
>   

This bug is intel specific. Your nvidia problem are irrelevant here. And
we can't do anything about nvidia binary drivers anyway...

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Sat, 21 Feb 2009 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Filter <filter@filterhh.hanse.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 21 Feb 2009 21:54:05 GMT) Full text and rfc822 format available.

Message #121 received at 496169@bugs.debian.org (full text, mbox):

From: Jan Filter <filter@filterhh.hanse.de>
To: Jan Filter <Jan.Filter@web.de>
Cc: 496169@bugs.debian.org
Subject: Re: Similar problem with nvidia Drivers? / partly solution
Date: Sat, 21 Feb 2009 22:28:02 +0100
Yes, you are right; this is the wrong thread for drivers other than intel.

Sorry for disturbing...

Only symptoms are the same, so I dared to ask here.

Other people might find this thread when looking for the problem.

Besides the nv driver has similar but other problems. nv seems to
ignore the virtual settings completely. So I think xorg has a problem,
not the drivers.

But please don't mind...

Regards
Jan





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Mar 2009 07:31:57 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sun, 31 Oct 2010 01:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Sun, 31 Oct 2010 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 31 Oct 2010 02:51:03 GMT) Full text and rfc822 format available.

Message #130 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 496169@bugs.debian.org
Subject: Change in the workaround for 496169.
Date: Sun, 31 Oct 2010 11:48:41 +0900
Dear X11 team and Intel users,

for the record, the workaround indicated in this bug report (#496169), to
disable the VGA output so that X will not start at the lowest common resolution
between the VGA output and the screen on some computers using an Intel graphics
card, needs to be amended in Squeeze, since the monitor's identifier name was
changed from VGA to VGA1.

Section "Monitor"
  Identifier "VGA1"
  Option "Ignore" "true"
EndSection

This change happened between xserver-xorg-video-intel 2:2.8.0-2 and 2:2.12.0+shadow-2.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Sun, 31 Oct 2010 11:39:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 31 Oct 2010 11:39:16 GMT) Full text and rfc822 format available.

Message #135 received at 496169@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Charles Plessy <plessy@debian.org>, 496169@bugs.debian.org
Subject: Re: Bug#496169: Change in the workaround for 496169.
Date: Sun, 31 Oct 2010 12:38:36 +0100
Le 31/10/2010 03:48, Charles Plessy a écrit :
> Dear X11 team and Intel users,
>
> for the record, the workaround indicated in this bug report (#496169), to
> disable the VGA output so that X will not start at the lowest common resolution
> between the VGA output and the screen on some computers using an Intel graphics
> card, needs to be amended in Squeeze, since the monitor's identifier name was
> changed from VGA to VGA1.
>
> Section "Monitor"
>   Identifier "VGA1"
>   Option "Ignore" "true"
> EndSection
>
> This change happened between xserver-xorg-video-intel 2:2.8.0-2 and 2:2.12.0+shadow-2.
>   

Actually, it happened when switching from UMS to KMS (the kernel now
names the outputs, and they changes those names).

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#496169; Package xserver-xorg-video-intel. (Wed, 03 Nov 2010 09:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Nov 2010 09:09:03 GMT) Full text and rfc822 format available.

Message #140 received at 496169@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 496169@bugs.debian.org
Subject: Re: Bug#496169: Change in the workaround for 496169.
Date: Wed, 3 Nov 2010 18:05:20 +0900
Le Sun, Oct 31, 2010 at 12:38:36PM +0100, Brice Goglin a écrit :
> Le 31/10/2010 03:48, Charles Plessy a écrit :
> >
> > This change happened between xserver-xorg-video-intel 2:2.8.0-2 and 2:2.12.0+shadow-2.
> 
> Actually, it happened when switching from UMS to KMS (the kernel now
> names the outputs, and they changes those names).

Hi Brice,

Good point: same workaround, different bug ? I read again my first message in
this thread and the symptoms are different. Now, the resolution given by
default is the highest common between VGA1 and LVDS1 (xrandr output below), so
in that case I had a physical desktop of 1024x768, and could solve this by
either ignoring VGA1 as indicated earlier in this thread, or via the GNOME
Screen preferences.

During startup, I can see that the Linux console is started at a resolution
that does not take all the screen, probably 1360x768 or 1024x768, which
suggests that the bug may not be in xserver-xorg-video-intel anymore ?

On the other hand, it looks like #546180, and perhaps #574923…

VGA1 connected (normal left inverted right x axis y axis)
   1360x768       59.8  
   1024x768       60.0  
   800x600        60.3     56.2  
   848x480        60.0  
   640x480        59.9     59.9  
LVDS1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1680x1050      59.9*+   84.9     74.9     69.9     60.0     59.9  
   1600x1024      60.2  
   1400x1050      85.0     74.8     70.0     60.0  
   1280x1024      85.0     75.0     60.0  
   1440x900       59.9  
   1280x960       85.0     60.0  
   1360x768       59.8     60.0  
   1152x864      100.0     85.1     85.0     75.0     75.0     70.0     60.0  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Dec 2010 07:34:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:33:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.